Bug 61506 - .ps files are not rendered with ghostscript 9.07
Summary: .ps files are not rendered with ghostscript 9.07
Status: RESOLVED INVALID
Alias: None
Product: libspectre
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Carlos Garcia Campos
QA Contact: Carlos Garcia Campos
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-26 12:31 UTC by A Rojas
Modified: 2013-05-07 18:24 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A Rojas 2013-02-26 12:31:44 UTC
With ghostscript 9.07, libspectre-based viewers like evince and okular can't display .ps files anymore. Reverting to 9.06 fixes it.
Comment 2 Albert Astals Cid 2013-03-07 17:46:00 UTC
using LANG=C fixes it, i.e.

LANG=C okular myfile.eps
LANG=C evince myfile.eps

Will make it work
Comment 3 Albert Astals Cid 2013-03-08 15:02:35 UTC
Talked to the ghostcript devels and they agree it's a bug in their side, for now they said we can workaround it by adding 
char *lala = setlocale(LC_ALL, "POSIX");
gsaspi_call
setlocale(LC_ALL, lala);

to our code.

Carlos, what do you think?
Comment 4 Carlos Garcia Campos 2013-03-30 11:23:17 UTC
(In reply to comment #3)
> Talked to the ghostcript devels and they agree it's a bug in their side, for
> now they said we can workaround it by adding 
> char *lala = setlocale(LC_ALL, "POSIX");
> gsaspi_call
> setlocale(LC_ALL, lala);
> 
> to our code.

for every call to the GS API? 

> Carlos, what do you think?

The problem of that hack is that setlocale might affect other threads currently running. Do we know which versions exactly are affected by this bug? Is it fixed already? is there a patch distros could apply?
Comment 5 Albert Astals Cid 2013-04-06 18:52:58 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Talked to the ghostcript devels and they agree it's a bug in their side, for
> > now they said we can workaround it by adding 
> > char *lala = setlocale(LC_ALL, "POSIX");
> > gsaspi_call
> > setlocale(LC_ALL, lala);
> > 
> > to our code.
> 
> for every call to the GS API? 

That's what they said

> 
> > Carlos, what do you think?
> 
> The problem of that hack is that setlocale might affect other threads
> currently running. 

Oh, that's bad

> Do we know which versions exactly are affected by this
> bug? 

9.07

> Is it fixed already? is there a patch distros could apply?
No clue, i told them on IRC and they said the bug has been there forever, but it's not since with 9.06 it works, they said they'd fix it but can't find anything in their git log that says it's been fixed. Going to download and compile now to try here
Comment 6 Albert Astals Cid 2013-04-06 21:45:45 UTC
Tried last git version and still fails :_/
Comment 7 Albert Astals Cid 2013-04-07 14:18:42 UTC
Upstream bug http://bugs.ghostscript.com/show_bug.cgi?id=693843
Comment 8 Albert Astals Cid 2013-05-07 18:24:11 UTC
That's been fixed upstream, we can probably close this bug and just hope distros patch their stuff


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.